Index: tmp/org.txm.core/src/java/org/txm/objects/CorpusBuild.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/objects/CorpusBuild.java	(revision 2441)
+++ tmp/org.txm.core/src/java/org/txm/objects/CorpusBuild.java	(revision 2442)
@@ -702,11 +744,13 @@
 				int wpp = 500;
 				try {
 					wpp = Integer.parseInt(edition.getAttribute("words_per_page"));
-				} catch(Exception e) { }
-				//System.out.println("declare edition: "+name);
-				//String corpus = edition.getAttribute("corpus");
-				//				String mode = edition.getAttribute("mode");
-				//				String script = edition.getAttribute("script");
+				}
+				catch (Exception e) {
+				}
+				// System.out.println("declare edition: "+name);
+				// String corpus = edition.getAttribute("corpus");
+				// String mode = edition.getAttribute("mode");
+				// String script = edition.getAttribute("script");
 				
 				EditionDefinition ed = this.getProject().getEditionDefinition(name);
 				ed.setBuildEdition("true".equals(built));
@@ -714,14 +758,14 @@
 				ed.setWordsPerPage(wpp);
 			}
 		}
-
+		
 		// Text biblio
 		NodeList bibliosNodes = root.getElementsByTagName("biblios");
 		if (bibliosNodes.getLength() > 0) { // only one
 			Element biblioNode = (Element) bibliosNodes.item(0);
 			NodeList metadataNodes = biblioNode.getElementsByTagName(BIBLIO);
-			for (int i = 0 ; i < metadataNodes.getLength() ; i++) {
-				Element biblio = (Element)metadataNodes.item(i);
+			for (int i = 0; i < metadataNodes.getLength(); i++) {
+				Element biblio = (Element) metadataNodes.item(i);
 				String id = biblio.getAttribute(ID);
 				String url = biblio.getTextContent();
 				Text text = this.getProject().getText(id);
@@ -731,38 +775,38 @@
 				}
 			}
 		}
-
+		
 		return true;
 	}
-
+	
 	public HashMap<String, Alignement> getLinks() {
 		return links;
 	}
-
+	
 	public ArrayList<Alignement> getLinksFrom(String from) {
-		ArrayList<Alignement> rez = new ArrayList<Alignement>();
+		ArrayList<Alignement> rez = new ArrayList<>();
 		for (String key : links.keySet()) {
-			if (key.startsWith("#"+from+" ")) {
+			if (key.startsWith("#" + from + " ")) {
 				rez.add(links.get(key));
 			}
 		}
 		return rez;
 	}
-
+	
 	public ArrayList<Alignement> getLinksTo(String to) {
-		ArrayList<Alignement> rez = new ArrayList<Alignement>();
+		ArrayList<Alignement> rez = new ArrayList<>();
 		for (String key : links.keySet()) {
-			if(key.endsWith(" #"+to)) {
+			if (key.endsWith(" #" + to)) {
 				rez.add(links.get(key));
 			}
 		}
 		return rez;
 	}
-
+	
 	public Alignement getLink(String from, String to) {
-		return links.get("#"+from+" #"+to );
+		return links.get("#" + from + " #" + to);
 	}
-
+	
 	/**
 	 * Gets the p attributes info names.
 	 *
@@ -771,7 +815,7 @@
 	public String[] getPAttributesInfoNames() {
 		return attributeInfoNames;
 	}
-
+	
 	/**
 	 * Gets the p attributes infos.
 	 *
@@ -780,7 +824,7 @@
 	public HashMap<String, HashMap<String, String>> getPAttributesInfos() {
 		return pPAttributesInformations;
 	}
-
+	
 	/**
 	 * Gets the s attributes infos.
 	 *
@@ -789,14 +833,14 @@
 	public HashMap<String, HashMap<String, String>> getSAttributesInfos() {
 		return pSAttributesInformations;
 	}
-
-	public String getFont( ) {
+	
+	public String getFont() {
 		return getProject().getFont();
 	}
 	
-//	public String getLang( ) {
-//		return getProject().getLang();
-//	}
+	// public String getLang( ) {
+	// return getProject().getLang();
+	// }
 	
 	/**
 	 * Gets the description.
@@ -806,7 +850,7 @@
 	public String getDescription() {
 		return this.pDescription;
 	}
-
+	
 	/**
 	 * Gets the description.
 	 *
@@ -815,73 +859,73 @@
 	public void setDescription(String desc) {
 		this.pDescription = desc;
 	}
-
+	
 	public ArrayList<String> getRefProperties() {
 		return refProperties;
 	}
-
+	
 	public void setRefProperties(ArrayList<String> refProperties) {
 		this.refProperties = refProperties;
 	}
-
+	
 	public ArrayList<String> getSortProperties() {
 		return sortProperties;
 	}
-
+	
 	public void setSortProperties(ArrayList<String> sortProperties) {
 		this.sortProperties = sortProperties;
 	}
-
+	
 	public ArrayList<String> getViewProperties() {
 		return viewProperties;
 	}
-
+	
 	public void setViewProperties(ArrayList<String> viewProperties) {
 		this.viewProperties = viewProperties;
 	}
-
+	
 	/**
 	 * @return the defaultRefProperty
 	 */
 	public String getDefaultRefProperty() {
 		return pDefaultRefProperty;
 	}
-
+	
 	/**
 	 * @param defaultRefProperty the defaultRefProperty to set
 	 */
 	public void setDefaultRefProperty(String defaultRefProperty) {
 		this.pDefaultRefProperty = defaultRefProperty;
 	}
-
+	
 	/**
 	 * @return the defaultSortProperty
 	 */
 	public String getDefaultSortProperty() {
 		return pDefaultSortProperty;
 	}
-
+	
 	/**
 	 * @param defaultSortProperty the defaultSortProperty to set
 	 */
 	public void setDefaultSortProperty(String defaultSortProperty) {
 		this.pDefaultSortProperty = defaultSortProperty;
 	}
-
+	
 	/**
 	 * @return the defaultSortProperty
 	 */
 	public String getDefaultViewProperty() {
 		return pDefaultViewProperty;
 	}
-
+	
 	/**
 	 * @param pDefaultSortProperty the defaultSortProperty to set
 	 */
 	public void setDefaultViewProperty(String defaultViewProperty) {
 		this.pDefaultViewProperty = defaultViewProperty;
 	}
-
+	
 	public void setName(String name) {
 		this.userName = name;
 	}
@@ -889,10 +933,10 @@
 	protected void setID(String id) {
 		this.pID = id;
 	}
-
+	
 	public abstract void setIsModified(boolean b);
-
+	
 	public abstract CorpusBuild getRootCorpusBuild();
-
+	
 	public abstract List<? extends Match> getMatches();
 }
Index: tmp/org.txm.core/src/java/org/txm/objects/Edition.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/objects/Edition.java	(revision 2441)
+++ tmp/org.txm.core/src/java/org/txm/objects/Edition.java	(revision 2442)
@@ -49,22 +49,22 @@
  * The Class Edition groups edition pages
  */
 public class Edition extends TXMResult {
-
+	
 	/** The index page path. */
-	@Parameter(key=TBXPreferences.INDEX)
+	@Parameter(key = TBXPreferences.INDEX)
 	String pIndex;
-
+	
 	/** The pages. */
-	ArrayList<Page> pages = new ArrayList<Page>();
-
-	@Parameter(key=TBXPreferences.NAMES)
+	ArrayList<Page> pages = new ArrayList<>();
+	
+	@Parameter(key = TBXPreferences.NAMES)
 	ArrayList<String> pPageNames;
-
-	@Parameter(key="pages_wordids")
+	
+	@Parameter(key = "pages_wordids")
 	ArrayList<String> pPageFirstWordIds;
-
+	
 	private File defaultHtmlDir;
-
+	
 	/**
 	 * Instantiates a new edition.
 	 *
@@ -73,9 +73,8 @@
 	public Edition(Text text) {
 		super(text);
 		this.setVisible(false);
-		this.internalPersistable = true;
 	}
-
+	
 	/**
 	 * Instantiates a new edition.
 	 *
@@ -84,9 +83,13 @@
 	public Edition(String parametersNodePath) {
 		super(parametersNodePath);
 		this.setVisible(false);
-		this.internalPersistable = true;
 	}
-
+	
+	@Override
+	public boolean isInternalPersistable() {
+		return true;
+	}
+	
 	/**
 	 * Gets the text.
 	 *
@@ -95,7 +98,7 @@
 	public Text getText() {
 		return (Text) getParent();
 	}
-
+	
 	/**
 	 * Gets the num pages.
 	 *
@@ -104,16 +107,16 @@
 	public Integer getNumPages() {
 		return pages.size();
 	}
-
-	/* 
-	 * Retro compatiblity to load Editions from a XML Element 
+	
+	/*
+	 * Retro compatiblity to load Editions from a XML Element
 	 */
 	protected boolean _load(Element e) {
-		//		pType = e.getAttribute("type"); //$NON-NLS-1$
+		// pType = e.getAttribute("type"); //$NON-NLS-1$
 		pIndex = e.getAttribute("index"); //$NON-NLS-1$
 		userName = e.getAttribute("name"); //$NON-NLS-1$
-
-		// System.out.println("  build edition "+name);
+		
+		// System.out.println(" build edition "+name);
 		NodeList pagesList = e.getElementsByTagName("page"); //$NON-NLS-1$
 		int numpages = pagesList.getLength();
 		pages.clear();
@@ -121,30 +124,31 @@
 			Element p = (Element) pagesList.item(i);
 			Page page = new Page(this, "", "");
 			page._load(p);
-
+			
 			pages.add(page);
 			pPageNames.add(page.getName());
 			pPageFirstWordIds.add(page.getWordId());
 		}
-		//loadMetadata();
+		// loadMetadata();
 		return false;
 	}
-
+	
 	/**
 	 * The Class PageComparator.
 	 */
 	class PageComparator implements Comparator<Page> {
-
-		/* (non-Javadoc)
+		
+		/*
+		 * (non-Javadoc)
 		 * @see java.util.Comparator#compare(java.lang.Object, java.lang.Object)
 		 */
 		@Override
 		public int compare(Page arg0, Page arg1) {
 			return getInt(arg0.getWordId()) - getInt(arg1.getWordId());
 		}
-
+		
 	}
-
+	
 	/**
 	 * Gets the pages.
 	 *
@@ -153,14 +157,13 @@
 	public ArrayList<Page> getPages() {
 		return this.pages;
 	}
-
-	public Page get(String id)
-	{
+	
+	public Page get(String id) {
 		int i = pPageNames.indexOf(id);
 		if (i < 0) return null;
 		return pages.get(i);
 	}
-
+	
 	/**
 	 * Gets the page.
 	 *
@@ -170,9 +173,9 @@
 	public Page getPage(int no) {
 		return pages.get(no);
 	}
-
+	
 	public static final Pattern findNumbersPattern = Pattern.compile("([0-9]{1,10}+)"); //$NON-NLS-1$
-
+	
 	/**
 	 * Gets the int.
 	 *
@@ -180,7 +183,7 @@
 	 * @return the int
 	 */
 	private int getInt(String wordid) {
-
+		
 		int r = 0;
 		try {
 			Matcher m = findNumbersPattern.matcher(wordid);
@@ -188,21 +191,23 @@
 				wordid = m.group(1);
 			}
 			r = Integer.parseInt(wordid);
-		} catch (PatternSyntaxException pse) { }
+		}
+		catch (PatternSyntaxException pse) {
+		}
 		return r;
 	}
-
+	
 	public void addPage(String id, String wordid) {
 		this.pPageNames.add(id);
 		this.pPageFirstWordIds.add(wordid);
 	}
-
-
+	
+	
 	public void resetPages() {
 		this.pPageNames.clear();
 		this.pPageFirstWordIds.clear();
 	}
-
+	
 	/**
 	 * Gets the page for word id.
 	 *
@@ -210,15 +215,15 @@
 	 * @return the page for word id
 	 */
 	public Page getPageForWordId(String idx) {
-		Log.fine("Page.getPageForWordId(): "+idx);
+		Log.fine("Page.getPageForWordId(): " + idx);
 		Page lastpage = null;
 		for (Page p : pages) {
 			String s = p.getWordId();
-			Log.fine(p.name+": "+s+" >? "+idx);
-			//			if (getInt(s) > getInt(idx)) {
+			Log.fine(p.name + ": " + s + " >? " + idx);
+			// if (getInt(s) > getInt(idx)) {
 			System.out.println();
 			if (isFirstGTthanSecond(s, idx) > 0) {
-				Log.fine("page found: "+lastpage);
+				Log.fine("page found: " + lastpage);
 				return lastpage;
 			}
 			if (!("w_0".equals(p.getWordId()))) { // ignore the w_0 pages
@@ -227,7 +232,7 @@
 		}
 		return lastpage;
 	}
-
+	
 	public static int isFirstGTthanSecond(String s, String idx) {
 		
 		if (s == null) return -1;
@@ -235,29 +240,32 @@
 		
 		Matcher m1 = findNumbersPattern.matcher(s);
 		Matcher m2 = findNumbersPattern.matcher(idx);
-
+		
 		boolean m1ok = m1.find();
 		boolean m2ok = m2.find();
-
-		//boolean c = true;
+		
+		// boolean c = true;
 		while (true) {
 			if (m1ok && m2ok) {
 				int i1 = Integer.parseInt(m1.group(1));
 				int i2 = Integer.parseInt(m2.group(1));
-				if (i1 - i2 != 0) return i1 -i2;
-
+				if (i1 - i2 != 0) return i1 - i2;
+				
 				m1ok = m1.find();
 				m2ok = m2.find();
-			} else if (m1ok) {
+			}
+			else if (m1ok) {
 				return 1;
-			} else if (m2ok) {
+			}
+			else if (m2ok) {
 				return -1;
-			} else {
+			}
+			else {
 				return 0;
 			}
 		}
 	}
-
+	
 	/**
 	 * Gets the index.
 	 *
@@ -266,7 +274,7 @@
 	public String getIndex() {
 		return pIndex;
 	}
-
+	
 	// Navigation
 	/**
 	 * Gets the first page.
@@ -278,7 +286,7 @@
 			return pages.get(0);
 		return null;
 	}
-
+	
 	/**
 	 * Gets the last page.
 	 *
@@ -289,7 +297,7 @@
 			return pages.get(pages.size() - 1);
 		return null;
 	}
-
+	
 	/**
 	 * Gets the next page.
 	 *
@@ -302,7 +310,7 @@
 			return pages.get(idx + 1);
 		return p;
 	}
-
+	
 	/**
 	 * Gets the previous page.
 	 *
@@ -315,39 +323,40 @@
 			return pages.get(idx - 1);
 		return p;
 	}
-
+	
 	public File getHtmlDir() {
-
+		
 		if (defaultHtmlDir == null) {
 			File binDir = getText().getProject().getProjectDirectory();
-			defaultHtmlDir = new File(binDir, "HTML/"+getText().getProject().getName()+"/"+getName()); //$NON-NLS-1$ //$NON-NLS-2$
+			defaultHtmlDir = new File(binDir, "HTML/" + getText().getProject().getName() + "/" + getName()); //$NON-NLS-1$ //$NON-NLS-2$
 		}
 		return defaultHtmlDir;
 	}
-
-	/* (non-Javadoc)
+	
+	/*
+	 * (non-Javadoc)
 	 * @see java.lang.Object#toString()
 	 */
 	@Override
 	public String toString() {
 		try {
-			return "Edition [name="+userName+" index=" + pIndex + ", pages=" //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+			return "Edition [name=" + userName + " index=" + pIndex + ", pages=" //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 					+ pages.size() + "]"; //$NON-NLS-1$
 		}
 		catch (Exception e) {
 			return "Edition";
 		}
 	}
-
+	
 	public static void main(String[] args) {
-		String[] strings = {"c_w_P1719_5_3", "c_w_P1719_5_6", "c_w_P1719_16_8", "c_w_P1719_32_3"};
+		String[] strings = { "c_w_P1719_5_3", "c_w_P1719_5_6", "c_w_P1719_16_8", "c_w_P1719_32_3" };
 		for (String s1 : strings) {
 			for (String s2 : strings) {
-				System.out.println(s1+" - "+s2+" = "+Edition.isFirstGTthanSecond(s1, s2));
+				System.out.println(s1 + " - " + s2 + " = " + Edition.isFirstGTthanSecond(s1, s2));
 			}
 		}
 	}
-
+	
 	@Override
 	public boolean saveParameters() throws Exception {
 		if (pPageNames != null) {
@@ -358,87 +367,89 @@
 		}
 		return true;
 	}
-
+	
 	@Override
 	public boolean loadParameters() throws Exception {
-
+		
 		String names = this.getStringParameterValue(TBXPreferences.NAMES);
 		if (names != null && names.length() > 0) {
 			pPageNames = new ArrayList<>(Arrays.asList(names.split("\t")));
-		} else {
+		}
+		else {
 			pPageNames = new ArrayList<>();
 		}
-
+		
 		String wordids = this.getStringParameterValue("pages_wordids");
 		if (wordids != null && wordids.length() > 0) {
 			pPageFirstWordIds = new ArrayList<>(Arrays.asList(wordids.split("\t")));
-		} else {
+		}
+		else {
 			pPageFirstWordIds = new ArrayList<>();
 		}
-
+		
 		return true;
 	}
-
+	
 	@Override
 	public boolean setParameters(TXMParameters parameters) throws Exception {
 		return true;
 	}
-
+	
 	@Override
 	public String getName() {
 		return userName;
 	}
-
+	
 	@Override
 	public String getSimpleName() {
 		return userName;
 	}
-
+	
 	@Override
 	public String getDetails() {
 		return userName;
 	}
-
+	
 	@Override
 	public void clean() {
 		for (Page p : this.getPages()) {
 			p.getFile().delete();
 		}
 	}
-
+	
 	@Override
 	public boolean canCompute() throws Exception {
 		return true;
 	}
-
+	
 	@Override
 	protected boolean _compute() throws Exception {
-		//System.out.println("USE THE PROJECT IMPORTMODULE TO BUILD THE EDITION="+userName);
+		// System.out.println("USE THE PROJECT IMPORTMODULE TO BUILD THE EDITION="+userName);
 		pages.clear();
-
+		
 		if (pages.size() != pPageNames.size()) {
-			for (int i = 0 ; i < pPageNames.size() && i < pPageFirstWordIds.size() ; i++) {
+			for (int i = 0; i < pPageNames.size() && i < pPageFirstWordIds.size(); i++) {
 				pages.add(new Page(this, pPageNames.get(i), pPageFirstWordIds.get(i)));
 			}
 		}
-
+		
 		return true;
 	}
-
+	
 	@Override
 	public boolean toTxt(File outfile, String encoding, String colseparator, String txtseparator) throws Exception {
 		return false;
 	}
-
+	
 	@Override
 	public String getResultType() {
 		return "Edition";
 	}
-
+	
 	public void setIndex(String url) {
 		this.pIndex = url;
 	}
-
+	
 	public void setName(String name) {
 		this.userName = name;
 	}
